local ent = ents.Derive("base")

function ent:setPos(x,y)
	self.x = x
	self.y = y
end

function ent:load()
	self.image = love.graphics.newImage("assets/eli.png")
	objects.eli = {}
	objects.eli.body = love.physics.newBody(world, self.x, self.y)
	objects.eli.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
	objects.eli.fixture = love.physics.newFixture(objects.eli.body, objects.eli.shape)
end

function ent:update(dt)
	if love.keyboard.isDown("left") then
		if self.x > 0 then
			self.x = self.x - 96*dt
		end
	elseif love.keyboard.isDown("right") then
		if self.x < love.graphics.getWidth() - 15 then
			self.x = self.x + 96*dt
		end
	end
end

function ent:draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(self.image, self.x, self.y)
end

return ent;