local ent = ents.Derive("base")

function ent:setPos(x,y)
	self.x = x
	self.y = y
end

function ent:load(item)
	self.image = love.graphics.newImage("assets/"..item..".png")
	objects.tree = {}
	objects.tree.body = love.physics.newBody(world, self.x, self.y)
	objects.tree.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
	objects.tree.fixture = love.physics.newFixture(objects.tree.body, objects.tree.shape)
end
function ent:update(dt)
	self.y = self.y - 128*dt
	
	if (self.y <= -64) then
		ents.Destroy(self.id)
	end
end

function ent:Die()
	self.x = math.random(0, 736)
	self.y = math.random(664, 1364)
end

function ent:draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(self.image, self.x, self.y)
end

return ent;